Organization Locations
Endpoints for managing organization locations.
Create a new organization location.
/locations/v1/location
Create a new organization location.
Requires a bearer access token for this API with the Organization.Locations.Write permission. See Authentication.
Request body
One of: "warehouse", "office", "retail", "other"
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X POST "https://connect.cambrionix.com/api/locations/v1/location" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "address": { "components": [ { "types": [] } ], "formatted": "string", "location": { "latitude": 0, "longitude": 0 } }, "description": "string", "name": "string", "type": "warehouse", "viewport": { "northeast": { "latitude": 0, "longitude": 0 }, "southwest": { "latitude": 0, "longitude": 0 } } }'
Get all organization locations.
/locations/v1/locations
Get all organization locations.
Requires a bearer access token for this API with the Organization.Locations.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/locations/v1/locations" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get an organization location.
/locations/v1/locations/{locationId}
Get an organization location.
Requires a bearer access token for this API with the Organization.Locations.Read permission. See Authentication.
Parameters
Path parameter
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/locations/v1/locations/{locationId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update an organization location.
/locations/v1/locations/{locationId}
Update an organization location.
Requires a bearer access token for this API with the Organization.Locations.Write permission. See Authentication.
Parameters
Path parameter
Request body
One of: "warehouse", "office", "retail", "other"
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X PATCH "https://connect.cambrionix.com/api/locations/v1/locations/{locationId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "address": { "components": [ { "types": [] } ], "formatted": "string", "location": { "latitude": 0, "longitude": 0 } }, "description": "string", "name": "string", "type": "warehouse", "viewport": { "northeast": { "latitude": 0, "longitude": 0 }, "southwest": { "latitude": 0, "longitude": 0 } } }'
Delete an organization location.
/locations/v1/locations/{locationId}
Delete an organization location.
Requires a bearer access token for this API with the Organization.Locations.Write permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X DELETE "https://connect.cambrionix.com/api/locations/v1/locations/{locationId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"